Bug 586725 - Duplex printing broken with latest Qt update
Duplex printing broken with latest Qt update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 05:15 EDT by Jeremy Sanders
Modified: 2010-04-30 13:16 EDT (History)
8 users (show)

See Also:
Fixed In Version: qt-4.6.2-16.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 13:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2010-04-28 05:15:21 EDT
Description of problem:
The latest Qt update to qt-4.6.2-14.fc12.x86_64 has broken the default duplex print setting in the Qt print dialog.

The old package used to set the duplex option to the correct value (taken from CUPS). Now the duplex option remains at duplex off.

Duplex appears to work if you set the option in the print dialog correctly, but it is not remembered and has to be set each time.

Please fix Qt so that the correct duplex option (taken from CUPS) is used. I did provide a patch in a previous release to do this (now lost somewhere in bugzilla).



Version-Release number of selected component (if applicable):
qt-4.6.2-14.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Open PDF in okular
2. Print to duplex printer
3. Note how duplex = None is selected in Options part of dialog box
Comment 1 Kevin Kofler 2010-04-28 05:41:11 EDT
Than, I told you that the CUPS patch you removed is NOT obsolete, i.e. we need BOTH the upstream fix you backported AND the patch we had, they fix different issues. You didn't believe me. Now you have it.
Comment 2 Kevin Kofler 2010-04-29 05:00:28 EDT
Should be fixed in qt-4.6.2-16.
Comment 3 Fedora Update System 2010-04-29 06:55:03 EDT
qt-4.6.2-16.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-4.6.2-16.fc13
Comment 4 Fedora Update System 2010-04-29 06:57:04 EDT
qt-4.6.2-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.6.2-16.fc12
Comment 5 Fedora Update System 2010-04-29 06:57:36 EDT
qt-4.6.2-16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-4.6.2-16.fc11
Comment 6 Roderick Johnstone 2010-04-29 09:20:11 EDT
Thanks Kevin. Works nicely.
Comment 7 Fedora Update System 2010-04-30 13:10:50 EDT
qt-4.6.2-16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-04-30 13:11:39 EDT
qt-4.6.2-16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-04-30 13:16:52 EDT
qt-4.6.2-16.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.